# Class BeanRepository

java.lang.Object
org.apache.jasper.compiler.BeanRepository

public class BeanRepository extends Object
Repository of {page, request, session, application}-scoped beans

## Constructor Summary

Constructors
Constructor
Description
`BeanRepository(ClassLoader loader, ErrorDispatcher err)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`addBean(Node.UseBean n, String s, String type, String scope)`
`boolean`
`checkVariable(String bean)`
`Class<?>`
`getBeanType(String bean)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BeanRepository

public BeanRepository(ClassLoader loader, ErrorDispatcher err)
Constructor.

Parameters:
  `loader` - The class loader
  `err` - The error dispatcher that will be used to report errors

## Method Details

### addBean

public void addBean(Node.UseBean n, String s, String type, String scope) throws JasperException

Throws:
  `JasperException`

### getBeanType

public Class<?> getBeanType(String bean) throws JasperException

Throws:
  `JasperException`

### checkVariable

public boolean checkVariable(String bean)